<mat-toolbar>Ayúdanos con tus comentarios</mat-toolbar>

<div class="example-container">

  <div class="example-header">
    <mat-form-field>
      <input matInput (keyup)="applyFilter($event.target.value)" placeholder="Buscar Registro">
    </mat-form-field>
  </div>

  <table mat-table [dataSource]="dataSource" class="mat-elevation-z8">

    <ng-container matColumnDef="id">
      <th mat-header-cell *matHeaderCellDef mat-sort-header> ID </th>
      <td mat-cell *matCellDef="let row"> {{row.id}} </td>
    </ng-container>

    <ng-container matColumnDef="encuesta">
      <th mat-header-cell *matHeaderCellDef mat-sort-header> Encuesta </th>
      <td mat-cell *matCellDef="let row"> {{row.nombreEncuesta}}</td>
    </ng-container>

    <ng-container matColumnDef="nombres">
      <th mat-header-cell *matHeaderCellDef mat-sort-header> Nombres </th>
      <td mat-cell *matCellDef="let row">{{row.nombres + ' ' + row.apellidos}} </td>
    </ng-container>

    <ng-container matColumnDef="lenguaje">
      <th mat-header-cell *matHeaderCellDef mat-sort-header> Opción </th>
      <td mat-cell *matCellDef="let row"> {{row.opcionEncuesta}} </td>
    </ng-container>

    <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>

    <tr mat-row *matRowDef="let row; columns: displayedColumns;">
    </tr>
  </table>
</div>